### Enumeration

# Gtk CssParserError

#### Declaration

    error-domain Gtk.CssParserError

#### Description [src]

Errors that can occur while parsing CSS.

These errors are unexpected and will cause parts of the given CSS to be ignored.

#### Members

`GTK_CSS_PARSER_ERROR_FAILED`

  Unknown failure.

  - Value: `0`
  - Nickname: `None`
  - Available since: 4.0
`GTK_CSS_PARSER_ERROR_SYNTAX`

  The given text does not form valid syntax.

  - Value: `1`
  - Nickname: `None`
  - Available since: 4.0
`GTK_CSS_PARSER_ERROR_IMPORT`

  Failed to import a resource.

  - Value: `2`
  - Nickname: `None`
  - Available since: 4.0
`GTK_CSS_PARSER_ERROR_NAME`

  The given name has not been defined.

  - Value: `3`
  - Nickname: `None`
  - Available since: 4.0
`GTK_CSS_PARSER_ERROR_UNKNOWN_VALUE`

  The given value is not correct.

  - Value: `4`
  - Nickname: `None`
  - Available since: 4.0